Bug 507907 - RFE - Virt Host entitlement, enabling should also include installation of OSAD
RFE - Virt Host entitlement, enabling should also include installation of OSAD
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Red Hat Satellite QA List
na
: FutureFeature
Depends On:
Blocks: 471260
  Show dependency treegraph
 
Reported: 2009-06-24 12:58 EDT by wes hayutin
Modified: 2014-06-25 10:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-25 10:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-06-24 12:58:36 EDT
Description of problem:

6/23 build rhel 5 selinux on


OSAD should be installed when you entitle a virt host.

recreate:
1. register a virt capable machine
2. sdc -> change entilements, add virt, or virt platform
3. rhn_check

osad should be installed and started

actual results:

osad neither installed or started
Comment 1 Clifford Perry 2009-06-24 16:15:44 EDT
Pretty certain (95% sure) that this is a regression in behavior - will leave for developer assigned to confirm before fixing. 

Cliff
Comment 2 Devan Goodwin 2009-06-24 16:26:19 EDT
Don't think this is a regression, tested RHEL 5 client, registered to Satellite 5.2, added Virtualization entitlement, ran rhn_check on client, only rhn-virtualization-host is scheduled and installed. I don't recall osad ever being installed as part of this operation.

For the future when we can tackle this bug, could I get some background on why this should install osad? It's never occurred to me to be any different than a regular host. Thanks.
Comment 3 wes hayutin 2009-06-24 17:08:50 EDT
correct.. 5.2 does not include osad..  I think we missed it..
satellite 5.1.1 however does have osad installed for virt-hosts.

I'll stay out of it from here on out.
Comment 4 Devan Goodwin 2009-06-25 08:23:52 EDT
I've tested 5.2, 5.1.1, and 5.0, in all cases only rhn-virtualization-host is scheduled for install when you entitle a system. I've checked through the code for these branches and can find no mention of scheduling the install of osad when entitling a system for virtualization. (nor do I remember there being one)

Package Install scheduled by satadmin
Details: 	This action will be executed after 2009-06-25 07:11:59 EDT.

This action's status is: Queued.
This action has not yet been picked up.
Packages Scheduled:

    * rhn-virtualization-host-1.0.1-55


Wes is digging through bugzilla to see if we can pin down what he's remembering and how to get to it. Thus far still looking like not a regression.
Comment 5 Clifford Perry 2009-06-25 11:41:22 EDT
Currently I agree to comment #4 - I spent ~30 mins last night looking at 5.0, 5.1 and 5.2 and never saw osad scheduled for installation. The osad package was/should be deployed on Virt Hosts so that events scheduled in UI for the Host to stop/start/provision/manage guests, would happen quickly and not need for login to Host and do rhn_check manually to pick up said event.

Maybe pass this by Mike McCune as well, but leaning towards, not a regression and maybe re-review this post 530. 

Cliff
Comment 7 Clifford Perry 2009-06-25 15:18:47 EDT
Proposing we add this as an RFE for a post 530 Sat release. 

Seems no one has clear knowledge and/or can point to when we did install osad automatically, though it makes 100% sense that we should. 

Cliff

Note You need to log in before you can comment on or make changes to this bug.